/*
 * 文 件 名:  DateAttr
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/5/9
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.domain.model;

/**
 * 日期属性
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/5/9]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class DateAttr {
    /**
     * 日期
     */
    private String date;

    /**
     * 星期几-数字
     */
    private int week;

    /**
     * 星期几-中文
     */
    private String weekCn;

    /**
     * 日期类型
     */
    private String type;

    /**
     * 日期名称-中文
     */
    private String dateName;

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public int getWeek() {
        return week;
    }

    public void setWeek(int week) {
        this.week = week;
    }

    public String getWeekCn() {
        return weekCn;
    }

    public void setWeekCn(String weekCn) {
        this.weekCn = weekCn;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDateName() {
        return dateName;
    }

    public void setDateName(String dateName) {
        this.dateName = dateName;
    }
}